Bug 126801 - Command line version gives wrong output when fvwm is selected
Summary: Command line version gives wrong output when fvwm is selected
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: switchdesk   
(Show other bugs)
Version: 2
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-27 12:11 UTC by Allan Whiteford
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-28 09:38:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Allan Whiteford 2004-06-27 12:11:10 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
Around line 80 the following code appears in switchdesk-helper:

    FVWM)
        [ ! -x /usr/X11R6/bin/fvwm2 ] && NotFound FVWM
        DNAME="twm"
        NEW_XCLIENTS="$DATADIR/Xclients.fvwm"
        ;;

The DNAME specified should read fvwm. This doesn't cause a problem
besides the final message from the script saying:

Red Hat Linux switchdesk 4.0
Copyright (C) 1999-2004 Red Hat, Inc
Redistributable under the terms of the GNU General Public License
Desktop now set up to run twm.
For system defaults, remove /home/allan/.Xclients


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Type "switchdesk fvwm"
2. If the graphical version is installed you may need
"switchdesk-helper fvwm"
3.
    

Actual Results:  Desktop was switched correctly but output to command
line was wrong.

Expected Results:  The desktop to switch to fvwm AND tell me it
switched to fvwm rather than twm.

Additional info:

Comment 1 Ngo Than 2004-06-28 09:38:33 UTC
it's fixed in 4.0.5-1, which will be showed up in rawhide soon. Thanks
for your report.


Note You need to log in before you can comment on or make changes to this bug.